# Interface methods for submodule: QuaternionRigidTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import Rigid3DTransformProxy as _Rigid3DTransformProxy


# Interface methods for class: QuaternionRigidTransform
class QuaternionRigidTransformProxy(_Rigid3DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetRotation(self, rotation: vnl_quaternion) -> None:
		""""""
		...

	def GetRotation(self) -> vnl_quaternion:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

